Package org.springframework.aot.hint

# Class BindingReflectionHintsRegistrar

java.lang.Object
org.springframework.aot.hint.BindingReflectionHintsRegistrar

public class BindingReflectionHintsRegistrar extends Object
Register the necessary reflection hints so that the specified type can be bound at runtime. Fields, constructors, properties, and record components are registered, except for a set of types like those in the `java.` package where just the type is registered. Types are discovered transitively on properties and record components, and generic types are registered as well.

Since:
  6.0
Author:
  Sebastien Deleuze

## Constructor Summary

Constructors
Constructor
Description
`BindingReflectionHintsRegistrar()`

## Method Summary

Modifier and Type
Method
Description
`void`
`registerReflectionHints(ReflectionHints hints, Type... types)`
Register the necessary reflection hints to bind the specified types.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BindingReflectionHintsRegistrar

public BindingReflectionHintsRegistrar()

## Method Details

### registerReflectionHints

public void registerReflectionHints(ReflectionHints hints, Type... types)
Register the necessary reflection hints to bind the specified types.

Parameters:
  `hints` - the hints instance to use
  `types` - the types to register